Webpack-cli安装成功后查看webpack -v报错案例详解

问题

1. 安装webpack webpack-cli

npm install -g webpack webpack-cli

在这里插入图片描述

2. 查看webpack 版本

webpack -v

报错

/usr/local/lib/node_modules/webpack/lib/cli.js:66
                        .replace(
                        ^

SyntaxError: Invalid regular expression: /(\p{Uppercase_Letter}+|\p{Lowercase_Letter}|\d)(\p{Uppercase_Letter}+)/: Invalid escape
    at pathToArgumentName (/usr/local/lib/node_modules/webpack/lib/cli.js:66:4)
    at addFlag (/usr/local/lib/node_modules/webpack/lib/cli.js:170:16)
    at traverse (/usr/local/lib/node_modules/webpack/lib/cli.js:243:21)
    at traverse (/usr/local/lib/node_modules/webpack/lib/cli.js:299:23)
    at traverse (/usr/local/lib/node_modules/webpack/lib/cli.js:248:24)
    at Object.getArguments (/usr/local/lib/node_modules/webpack/lib/cli.js:308:2)
    at Object. (/usr/local/lib/node_modules/webpack-cli/lib/utils/cli-flags.js:245:30)
    at Module._compile (/usr/local/lib/node_modules/webpack-cli/node_modules/v8-compile-cache/v8-compile-cache.js:192:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:665:10)
    at Module.load (internal/modules/cjs/loader.js:566:32)

解决

1. 查看node版本

node -v
v9.11.2

发现node版本 不是最新的,官网下载安装最新版本的Node(LTS)

node -v
v14.15.0

2. 升级npm

npm i -g npm

3. 查看webpack版本

webpack -v

webpack-cli 4.2.0

webpack 5.4.0

到此这篇关于Webpack-cli安装成功后查看webpack -v报错案例详解的文章就介绍到这了,更多相关Webpack-cli安装成功后查看webpack -v报错内容请搜索脚本之家以前的文章或继续浏览下面的相关文章希望大家以后多多支持脚本之家!

你可能感兴趣的